Bug 171474 - CVE-2005-3088 fetchmailconf insecure configuration file
CVE-2005-3088 fetchmailconf insecure configuration file
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: fetchmail (Show other bugs)
2.1
All Linux
medium Severity low
: ---
: ---
Assigned To: Miloslav Trmač
Brock Organ
impact=low,source=redhat,public=20051...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-21 14:55 EDT by Josh Bressers
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2005-823
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-26 11:59:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-10-21 14:55:22 EDT
http://decoy.wox.org/svn/fetchmail/trunk/fetchmail-SA-2005-02.txt

(Text stolen from the above advisory)

2. Problem description and Impact
=================================

The fetchmailconf program before and excluding version 1.49 opened the
run control file, wrote the configuration to it, and only then changed
the mode to 0600 (rw-------). Writing the file, which usually contains
passwords, before making it unreadable to other users, can expose
sensitive password information.
Comment 2 Red Hat Bugzilla 2005-10-26 11:59:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-823.html
Comment 3 Josh Bressers 2005-11-10 08:41:17 EST
This issue does not affect RHEL3 and RHEL4 since we only ship the fetchmailconf
program for RHEL2.1

Note You need to log in before you can comment on or make changes to this bug.